// Win32Form1.cs
namespace Leon {
    
    using System;
    using System.Drawing;
    using System.ComponentModel;
    using System.WinForms;
    using System.Data;
    /// <summary>
    ///    Summary description for Win32Form1.
    /// </summary>
    public class DataForm : System.WinForms.Form {

        /// <summary> 
        ///    Required by the Win Forms designer 
        /// </summary>
	private System.ComponentModel.Container components;
    private Button DeleteRecord;
    private System.WinForms.DataGrid ShowTables;
    private DataSet myDataSet = new DataSet();    
        public DataForm() {

            // Required for Win Form Designer support
            InitializeComponent();


            // TODO: Add any constructor code after InitializeComponent call

        }

        /// <summary>
        ///    Clean up any resources being used
        /// </summary>
        public override void Dispose() {
            base.Dispose();
            components.Dispose();
        }


        private void InitializeComponent()
	{
		this.components = new System.ComponentModel.Container();
		//  datagrid
		this.ShowTables = new System.WinForms.DataGrid();
		//  
		ShowTables.BeginInit();
		
		//@design this.TrayHeight = 90;
		//@design this.TrayLargeIcon = false;
		//@design this.TrayAutoArrange = true;
		ShowTables.Location = new System.Drawing.Point(24, 16);
		ShowTables.ReadOnly = false;
		ShowTables.Size = new System.Drawing.Size(304, 136);
		ShowTables.DataMember = "";
		ShowTables.TabIndex = 0;
		
        
		this.Text = "DataGrid";
		this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
		this.ClientSize = new System.Drawing.Size(368, 300);
		
       	this.Controls.Add(ShowTables);
		ShowTables.EndInit();
		DeleteRecord = new Button();
		DeleteRecord.Size = new System.Drawing.Size(150, 25);
        DeleteRecord.Top = 200;
        DeleteRecord.Left = 100;
        DeleteRecord.Text = "  ";
		DeleteRecord.Click += new System.EventHandler(DeleteRecord_Click);

        this.Controls.Add(DeleteRecord);
        //   customers
		DataTable Customers = new DataTable("Customers");
        // 
		DataColumn column; 
		column = new DataColumn();
        column.DataType = Type.GetType("System.Int32");
		column.ColumnName = "customer_id";
        column.AutoIncrement = true;
		column.Caption = "Id ";
		column.ReadOnly = false;
		column.Unique = true;
		// 
		Customers.Columns.Add(column);

		column = new DataColumn();
        column.DataType = Type.GetType("System.String");
		column.ColumnName = "name";
        column.AutoIncrement = false;
		column.Caption = "";
		column.ReadOnly = true;
		column.Unique = false;
		Customers.Columns.Add(column);
        
		// 
        myDataSet.Tables.Add(Customers);

		//  Orders
        //id   int
		//tovar  
		//summa  
		DataTable Orders = new DataTable("Orders");
		
		column = new DataColumn();
        column.DataType = Type.GetType("System.Int32");
		column.ColumnName = "customer_id";
		column.Caption = "Id ";
		column.ReadOnly = false;
		Orders.Columns.Add(column);

		column = new DataColumn();
        column.DataType = Type.GetType("System.String");
		column.ColumnName = "tovar";
		column.Caption = "";
		column.ReadOnly = false;
		Orders.Columns.Add(column);

		column = new DataColumn();
        column.DataType = Type.GetType("System.Double");
		column.ColumnName = "summa";
		column.Caption = "";
		column.ReadOnly = false;
		Orders.Columns.Add(column);
        myDataSet.Tables.Add(Orders);
          


		// 
		DataRow row;
        row = Customers.NewRow();
		row["name"] = "Leonid";
        Customers.Rows.Add(row);
        
		row = Customers.NewRow();
		row["name"] = "Artem";
        Customers.Rows.Add(row);

        row = Customers.NewRow();
		row["name"] = "Anonymous";
        Customers.Rows.Add(row);

        row = Customers.NewRow();
		row["name"] = "Admin";
        Customers.Rows.Add(row);
        
		// 
        row = Orders.NewRow();
		row["customer_id"] = 1;
		row["tovar"] = "";
		row["summa"] = 2.0;
        Orders.Rows.Add(row);
        
		row = Orders.NewRow();
		row["customer_id"] = 1;
		row["tovar"] = "";
		row["summa"] = .5;
        Orders.Rows.Add(row);

        row = Orders.NewRow();
		row["customer_id"] = 0;
		row["tovar"] = "";
		row["summa"] = .1;
        Orders.Rows.Add(row);
        
		//     
        System.Data.DataRelation rel;
		System.Data.DataColumn column1; //  id   Customers
		System.Data.DataColumn column2; //  id   Orders
        column1 = myDataSet.Tables["Customers"].Columns["customer_id"];
        column2 = myDataSet.Tables["Orders"].Columns["customer_id"];
		rel = new System.Data.DataRelation("", column1, column2, true);
        myDataSet.Relations.Add(rel);
		ShowTables.CaptionVisible = true;

        // (  ..) 
		myDataSet.Tables["Customers"].AcceptChanges();
		myDataSet.Tables["Orders"].AcceptChanges();

		//    datagrid
		ShowTables.SetDataBinding(myDataSet, "Customers");
		DataGridTable CustomersGrid = ShowTables.GridTables["customers"];
		CustomersGrid.DataGrid.ReadOnly = true;
        CustomersGrid.GridColumns[0].BackColor = Color.Blue;//Color.FromARGB(255,100,100);
        CustomersGrid.GridColumns[0].AlternatingBackColor = Color.Blue;
		CustomersGrid.GridColumns[1].Header = "";
		CustomersGrid.GridColumns.Remove(0);
	}
    protected void DeleteRecord_Click(object sender, System.EventArgs e)
	{
	  //
		myDataSet.Tables["Customers"].Rows[1].Delete();
		myDataSet.Tables["Customers"].RejectChanges();
		//myDataSet.Tables["Orders"].RejectChanges();
		//myDataSet.Tables["Customers"].AcceptChanges();
		//myDataSet.Tables["Orders"].AcceptChanges();
	}


    }
}
